<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
  <head>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8" />
    <title>Ruby on Rails: Welcome aboard</title>
    <%= stylesheet_link_tag "rails", :media => "screen" %>
    <%= stylesheet_link_tag "alevchuk", :media => "screen" %>


    <%= javascript_include_tag "prototype" %>
    <%= javascript_include_tag "effects" %>	


    <script type="text/javascript">
      function about() {
        if (Element.empty('about-content')) {
          new Ajax.Updater('about-content', 'rails/info/properties', {
            method:     'get',
            onFailure:  function() {Element.classNames('about-content').add('failure')},
            onComplete: function() {new Effect.BlindDown('about-content', {duration: 0.25})}
          });
        } else {
          new Effect[Element.visible('about-content') ? 
            'BlindUp' : 'BlindDown']('about-content', {duration: 0.25});
        }
      }
      
      window.onload = function() {
        $('search-text').value = '';
        $('search').onsubmit = function() {
          $('search-text').value = 'site:rubyonrails.org ' + $F('search-text');
        }
      }
    </script>
</head>
<body>

<div id="page">
      <div id="content">	

	<% if flash[:notice] -%>
	   <div id="notice"><%= flash[:notice] %></div>
	<% end -%>

        <div id="header">

          <h1><%= @page_title || "Welcome aboard"%></h1>
          <h2>You&rsquo;re riding the Rails!</h2>
        </div>


        
        <div id="getting-started">


<%= yield %>


</div>
</div>
</body>
</html>
